Bug 508037 - facter hangs on reading /proc/xen/capabilities
facter hangs on reading /proc/xen/capabilities
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: facter (Show other bugs)
el4
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 06:07 EDT by Bernhard Furtmueller
Modified: 2010-09-15 14:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: facter-1.5.8-1.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-11 12:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Furtmueller 2009-06-25 06:07:41 EDT
Description of problem:
facter hangs on reading /proc/xen/capabilities on a XEN host, when running from puppet

Version-Release number of selected component (if applicable):
facter-1.5.5-1

How reproducible:
Run puppet on XEN domu

Steps to Reproduce:
1.
2.
3.
  
Actual results:
puppet doesn't connect to master

Expected results:
puppet connects to master

Additional info:
This is related to #503103 (where /proc/uptime was causing problems), upstream package is opened with patch, but not reviewed yet http://projects.reductivelabs.com/issues/2355
Comment 1 Jeroen van Meeuwen 2009-08-12 18:56:07 EDT
Building the update now
Comment 2 Fedora Update System 2009-08-12 19:19:39 EDT
facter-1.5.5-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/facter-1.5.5-3.el5
Comment 3 Fedora Update System 2009-08-12 19:19:44 EDT
facter-1.5.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/facter-1.5.5-3.fc11
Comment 4 Fedora Update System 2009-08-12 19:19:48 EDT
facter-1.5.5-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/facter-1.5.5-3.el4
Comment 5 Fedora Update System 2009-08-12 19:19:53 EDT
facter-1.5.5-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/facter-1.5.5-3.fc10
Comment 6 Fedora Update System 2009-08-15 04:08:52 EDT
facter-1.5.5-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update facter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8525
Comment 7 Fedora Update System 2009-08-15 04:18:22 EDT
facter-1.5.5-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update facter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8584
Comment 8 Fedora Update System 2009-08-17 20:25:10 EDT
facter-1.5.5-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update facter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0296
Comment 9 Fedora Update System 2009-08-17 20:26:12 EDT
facter-1.5.5-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update facter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0280
Comment 10 Todd Zullinger 2010-06-11 12:30:47 EDT
facter-1.5.7 has been in EPEL for a while and includes the patch from upstream, which was committed to the facter git repo a few weeks ago.
Comment 11 Fedora Update System 2010-08-28 13:34:50 EDT
facter-1.5.8-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/facter-1.5.8-1.fc13
Comment 12 Fedora Update System 2010-08-28 13:34:56 EDT
facter-1.5.8-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/facter-1.5.8-1.el4
Comment 13 Fedora Update System 2010-08-28 13:35:01 EDT
facter-1.5.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.5.8-1.el5
Comment 14 Fedora Update System 2010-08-28 13:35:06 EDT
facter-1.5.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/facter-1.5.8-1.fc14
Comment 15 Fedora Update System 2010-08-28 13:35:11 EDT
facter-1.5.8-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/facter-1.5.8-1.fc12
Comment 16 Fedora Update System 2010-09-15 01:25:00 EDT
facter-1.5.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-09-15 01:26:58 EDT
facter-1.5.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-09-15 03:07:41 EDT
facter-1.5.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-09-15 14:28:49 EDT
facter-1.5.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-09-15 14:29:03 EDT
facter-1.5.8-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.